Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSLibrarySharing Class Reference

The library sharing feature is currently not supported in ClientSDK Only two methods of CSLibrarySharingDelegate which notifies the client about library sharing started and ended. More...

`#import <CSLibrarySharing.h>`

Inherits NSObject.

## Instance Methods
(void) | - shareDocument:onPage:completionHanlder:
| Not supported in Client SDK. More...
(void) | - stopSharingWithCompletionHandler:
| Not supported in Client SDK. More...

## Properties
id< CSLibrarySharingDelegate > | delegate
BOOL | presenting
| Not supported in Client SDK. More...
NSArray * | slides
| Not supported in Client SDK. More...
CSSlide * | activeSlide
| Not supported in Client SDK. More...

## Detailed Description

The library sharing feature is currently not supported in ClientSDK Only two methods of CSLibrarySharingDelegate which notifies the client about library sharing started and ended.

## Method Documentation

- (void) shareDocument: |  | (CSLibraryDocument *) | document
onPage: |  | (NSUInteger) | pageNumber
completionHanlder: |  | (void(^)(CSSlide *slide, NSError *error)) | handler

Not supported in Client SDK.

- (void) stopSharingWithCompletionHandler: |  | (void(^)(CSSlide *slide, NSError *error)) | handler |

Not supported in Client SDK.

## Property Documentation

- (CSSlide*) activeSlide
| read nonatomic assign

Not supported in Client SDK.

Get active slide of current document

- (id<CSLibrarySharingDelegate>) delegate
| read write nonatomic weak

- (BOOL) presenting
| read nonatomic assign

Not supported in Client SDK.

Tell if the local user is sharing a document from network-based document library.

- (NSArray*) slides
| read nonatomic assign

Not supported in Client SDK.

List of slides in current document.

The documentation for this class was generated from the following file:

- CSLibrarySharing.h